Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection.jedis
Class JedisUtils

    java.lang.Object
      org.springframework.data.redis.connection.jedis.JedisUtils

Deprecated.

    @Deprecated
    public abstract class JedisUtils

extends Object

Helper class featuring methods for Jedis connection handling, providing support for exception translation. Deprecated in favor of `JedisConverters`

Constructor Summary
`JedisUtils()` Deprecated.

Method Summary
`static DataAccessException` | `convertJedisAccessException(redis.clients.jedis.exceptions.JedisException ex)` Deprecated. Converts the given, native Jedis exception to Spring's DAO hierarchy.
`static DataAccessException` | `convertJedisAccessException(RuntimeException ex)` Deprecated. Converts the given, native, runtime Jedis exception to Spring's DAO hierarchy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JedisUtils

    public JedisUtils()

  Deprecated.

Method Detail

### convertJedisAccessException

    public static DataAccessException convertJedisAccessException(redis.clients.jedis.exceptions.JedisException ex)

  Deprecated.
  Converts the given, native Jedis exception to Spring's DAO hierarchy.

  Parameters:
    `ex` - Jedis exception
  Returns:
    converted exception

### convertJedisAccessException

    public static DataAccessException convertJedisAccessException(RuntimeException ex)

  Deprecated.
  Converts the given, native, runtime Jedis exception to Spring's DAO hierarchy.

  Parameters:
    `ex` - Jedis runtime/unchecked exception
  Returns:
    converted exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD